
export default {
  contorls: {
    riskPoint: require('./../assets/3dview/risk-point.png'),
    videoPoint: require('./../assets/3dview/video-point.png'),
    personPoint: require('./../assets/3dview/person-point.png'),
    dataPoint: require('./../assets/3dview/data-point.png'),
    controlRoom: require('./../assets/3dview/control-room.png'),
    patrolPoint: require('./../assets/3dview/patrol-point.png'),
    equipmentPoint: require('./../assets/3dview/equipment-point.png'),
    trajectoryPoint: require('./../assets/3dview/trajectory-point.png'),

    // 内置操作
    scaleController: require('./../assets/3dview/tools/scale.png'),
    fitviewController: require('./../assets/3dview/fitview-controller.png'),
    layerController: require('./../assets/3dview/layer-controller.png'),
    explosionController: require('./../assets/3dview/explosion-controller.png')
  },
  datapane: {
    seearch: require('./../assets/3dview/datapane-search.png'),
    msg: require('./../assets/3dview/datapane-msg.png'),
    trajectory: require('./../assets/3dview/datapane-trajectory.png'),
    record: require('./../assets/3dview/datapane-record.png'),
    job: require('./../assets/3dview/datapane-job.png'),
    broadcast: require('./../assets/3dview/datapane-broadcast.png'),
    statistics: require('./../assets/3dview/datapane-statistics.png'),
    monitor: require('./../assets/3dview/datapane-monitor.png'),
    setting: require('./../assets/3dview/datapane-setting.png'),

    loading: require('./../assets/3dview/datapanel/loading.gif'),
    noMore: require('./../assets/3dview/datapanel/no-more.png'),
    play: require('./../assets/3dview/datapanel/play.png'),
    search: require('./../assets/3dview/datapanel/search.png'),
    smilingFace: require('./../assets/3dview/datapanel/smilingFace.png'),
    user: require('./../assets/3dview/datapanel/user.png')
  },
  markers: {
    riskSource_0: require('./../assets/3dview/markers/riskSource-0.png'),
    riskSource_1: require('./../assets/3dview/markers/riskSource-1.png'),
    riskSource_2: require('./../assets/3dview/markers/riskSource-2.png'),
    riskSource_3: require('./../assets/3dview/markers/riskSource-3.png'),
    riskSource_4: require('./../assets/3dview/markers/riskSource-4.png'),
    riskSource_5: require('./../assets/3dview/markers/riskSource-5.png'),

    // riskSource_0: require('./../assets/3dview/markers/risk-0.png'),
    // riskSource_1: require('./../assets/3dview/markers/risk-1.png'),
    // riskSource_2: require('./../assets/3dview/markers/risk-2.png'),
    // riskSource_3: require('./../assets/3dview/markers/risk-3.png'),
    // riskSource_4: require('./../assets/3dview/markers/risk-4.png'),
    // riskSource_5: require('./../assets/3dview/markers/risk-5.png'),

    taskWork_5: require('./../assets/3dview/markers/taskwork_5.png'),
    taskWork_6: require('./../assets/3dview/markers/taskwork_6.png'),

    equipment: require('./../assets/3dview/markers/equipment.png'),

    // patrol_1: require('./../assets/3dview/markers/patrol-1.png'),
    // patrol_2: require('./../assets/3dview/markers/patrol-2.png'),
    // patrol_3: require('./../assets/3dview/markers/patrol-3.png'),
    // patrol_4: require('./../assets/3dview/markers/patrol-4.png'),
    // patrol_5: require('./../assets/3dview/markers/patrol-5.png'),

    data_0: require('./../assets/3dview/markers/data-0.png'),
    data_1: require('./../assets/3dview/markers/data-1.png'),

    croom_0: require('./../assets/3dview/markers/croom-0.png'),
    croom_1: require('./../assets/3dview/markers/croom-1.png'),

    monitorEquipment: require('./../assets/3dview/markers/monitorEquip.png'),
    impEquipment: require('./../assets/3dview/markers/impEquip.png'),
    impEquipment_01: require('./../assets/3dview/markers/impEquip1.png'),
    impEquipment_02: require('./../assets/3dview/markers/impEquip2.png'),
    impEquipment_03: require('./../assets/3dview/markers/impEquip3.png'),
    impEquipment_04: require('./../assets/3dview/markers/impEquip1.png'),
    dynamicRingData_01: require('./../assets/3dview/markers/dynamicRingData2.png'),
    dynamicRingData_02: require('./../assets/3dview/markers/fireDetect.png'),

    // video: require('./../assets/3dview/markers/video.png'),
    video: require('./../assets/3dview/markers/jiankong.png'),

    // patrol_0: require('./../assets/3dview/markers/pa-0.png'),
    // patrol_1: require('./../assets/3dview/markers/pa-1.png'),
    // patrol_2: require('./../assets/3dview/markers/pa-2.png'),
    // patrol_3: require('./../assets/3dview/markers/pa-3.png')

    patrol_0: require('./../assets/3dview/markers/patrol-0.png'),
    patrol_1: require('./../assets/3dview/markers/patrol-1.png'),
    patrol_2: require('./../assets/3dview/markers/patrol-2.png'),
    patrol_3: require('./../assets/3dview/markers/patrol-3.png')

  },
  color: {
    hydrant: {color: '#f12525'},
    pool: {color: '#f12525'},
    fireCar: {color: '#ee3b3b'},
    fireEquipment: {color: '#ff8600'},
    fireFoamRoom: {color: '#8b8b8b'},
    fireChamber: {color: '#ff9100'},
    monitorEquipment: {color: '#71ea07'},
    video: {color: '#ff8700'},
    impEquipment: {color: '#f42828'},
    dynamicRingData: {color: '#f42828'}
  },

  biz: {
    map: require('./../assets/situation/background.png')
  },

  region: {
    common: require('./../assets/region/preview.png')
  },
  pointIcon: {
    offGrade: require('./../assets/3dview/info/offGrade.png'),  // 不合格
    miss: require('./../assets/3dview/info/miss.png'),  // 漏检
    task: require('./../assets/3dview/info/task.png') // 任务，超时
  },

  planDetail: {
    down: require('./../assets/tileview/prePlan/xingqingqu-xiala.png'),
    up: require('./../assets/tileview/prePlan/xingqingqu-shouqi.png'),
    zhuyi: require('./../assets/tileview/prePlan/zhuyi.png'),
    jianyi: require('./../assets/tileview/prePlan/jianyi.png'),
    gaojing: require('./../assets/tileview/prePlan/jinggao.png'),
    empty: require('./../assets/tileview/prePlan/wushuju.png'),
    cancal: require('./../assets/tileview/prePlan/guanbi.png'),
    duijiangj: require('./../assets/tileview/prePlan/duijiangji.png'),
    fangdumianju: require('./../assets/tileview/prePlan/fangdumianju.png'),
    wannengyaoshi: require('./../assets/tileview/prePlan/wannengyaoshi.png'),
    left: require('./../assets/tileview/prePlan/left.png'),
    right: require('./../assets/tileview/prePlan/right.png'),
    kongtiao: require('./../assets/tileview/prePlan/kongtiao.png'),
    shebei: require('./../assets/tileview/prePlan/shebei.png'),
    video: require('./../assets/tileview/prePlan/video.png'),
    xiaofangxiaoshi: require('./../assets/tileview/prePlan/jiaohuqu--119.png'),
    jiaojie: require('./../assets/tileview/prePlan/jiaojian.png'),
    dianyuantu: require('./../assets/tileview/prePlan/dianyuantu.png'),
    yupenglin: require('./../assets/tileview/prePlan/yupenglin.png'),
    '0-1': require('./../assets/tileview/prePlan/0-1.jpg'),
    '0-2': require('./../assets/tileview/prePlan/0-2.jpg'),
    '0-3': require('./../assets/tileview/prePlan/0-3.jpg'),
    '0-4': require('./../assets/tileview/prePlan/0-4.jpg')
  },
  opeateIcon: {
    'jiaohuqu-huozai': require('./../assets/tileview/prePlan/jiaohuqu-huozai.png'),
    'jiaohuqu-yuan': require('./../assets/tileview/prePlan/jiaohuqu-yuan.png'),
    'jiaohuqu-tingyun': require('./../assets/tileview/prePlan/jiaohuqu-tingyun.png'),
    'jiaohuqu--119': require('./../assets/tileview/prePlan/jiaohuqu--119.png'),
    'jiaohuqu-shuipenwu': require('./../assets/tileview/prePlan/jiaohuqu-shuipenwu.png'),
    'jiaohuqu-duandian': require('./../assets/tileview/prePlan/jiaohuqu-duandian.png'),
    'jiaohuqu-kongtiao': require('./../assets/tileview/prePlan/jiaohuqu-kongtiao.png'),
    'jiaohuqu-shuileng': require('./../assets/tileview/prePlan/jiaohuqu-shuileng.png'),
    'jiaohuqu-guanbishuipenwu': require('./../assets/tileview/prePlan/jiaohuqu-guanbishuipenwu.png'),
    'jiaohuqu-zhihuiquan': require('./../assets/tileview/prePlan/jiaohuqu-zhihuiquan.png'),
    'shapan-dianlangoutu': require('./../assets/tileview/prePlan/shapan-dianlangoutu.png'),
    'jiaohuqu-yingjichuzhi': require('./../assets/tileview/prePlan/jiaohuqu-yingjichuzhi.png'),
    'jiaohuqu-dianlangou': require('./../assets/tileview/prePlan/jiaohuqu-dianlangou.png'),
    blue: '/src/assets/tileview/prePlan/jiaohuqu-2anniu-lan.png',
    yellow: '/src/assets/tileview/prePlan/jiaohuqu-2anniu-cheng.png',
    'blue-chang': '/src/assets/tileview/prePlan/jiaohuqu-2anniu-lan-chang.png',
    'yellow-chang': '/src/assets/tileview/prePlan/jiaohuqu-2anniu-cheng-chang.png',
    onlyOne: '/src/assets/tileview/prePlan/jiaohuqu-2anniu-cheng-chang.png',
    'btn_confirm': require('./../assets/tileview/prePlan/btn_confirm.png'),
    'btn_danger': require('./../assets/tileview/prePlan/btn_danger.png'),
    'btn_risk': require('./../assets/tileview/prePlan/btn_risk.png'),
    'btn_stop': require('./../assets/tileview/prePlan/btn_stop.png')
  }
};

export const marker3DIoncMapper = {
  risk_0: '/threeres/markers/risk-0.png',
  risk_1: '/threeres/markers/risk-1.png',
  risk_2: '/threeres/markers/risk-2.png',
  risk_3: '/threeres/markers/risk-3.png',
  risk_4: '/threeres/markers/risk-4.png',
  risk_5: '/threeres/markers/risk-5.png',

  patrol_1: '/threeres/markers/patrol-1.png',
  patrol_2: '/threeres/markers/patrol-2.png',
  patrol_3: '/threeres/markers/patrol-3.png',
  patrol_4: '/threeres/markers/patrol-4.png',
  patrol_5: '/threeres/markers/patrol-5.png',

  person_0: '/threeres/markers/person-0.png',

  data_0: '/threeres/markers/data-0.png',
  data_1: '/threeres/markers/data-1.png',

  croom_0: '/threeres/markers/croom-0.png',
  croom_1: '/threeres/markers/croom-1.png'
};
